Skip Ribbon Commands
Skip to main content

Online Banking FAQs

Get answers to common questions related to myBranch Online Banking and the myBranch mobile app. Topics include enrollment, log in, security, and support.

myBranch Mobile App Terms and Conditions

myBranch Mobile is compatible with:

  1. Phone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPod touch (3rd generation), iPod touch (4th generation) and iPod touch (5th generation).
    • The app requires iOS 4.3 or later and is optimized for iPhone 5.
    • Android operating system version 2.2 or later.
  2. Already a Bill Pay user? All of your settings are in place, so enroll into myBranch Mobile and continue using your Bill Pay service.